Package com.sun.mail.util

## Class TimeoutOutputStream

- java.lang.Object
- - com.sun.mail.util.TimeoutOutputStream

    public static class TimeoutOutputStream
    extends java.lang.Object

An OutputStream that wraps the Socket's OutputStream and uses the ScheduledExecutorService to schedule a task to close the socket (aborting the write) if the timeout expires.

See Also:
  Serialized Form

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`